public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/ndu/
Date: Sat,  9 Nov 2019 13:18:42 +0000 (UTC)	[thread overview]
Message-ID: <1573305509.9ca6c5a9c3cdf807a0aaa54ed736df5db2d01dab.mgorny@gentoo> (raw)

commit:     9ca6c5a9c3cdf807a0aaa54ed736df5db2d01dab
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Nov  9 13:09:24 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov  9 13:18:29 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ca6c5a9

net-dns/ndu: Bump to EAPI 7

Closes: https://bugs.gentoo.org/697252
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-dns/ndu/ndu-0.4-r4.ebuild | 50 +++++++++++++++++++++----------------------
 1 file changed, 25 insertions(+), 25 deletions(-)

diff --git a/net-dns/ndu/ndu-0.4-r4.ebuild b/net-dns/ndu/ndu-0.4-r4.ebuild
index b64497eb415..78c645acef4 100644
--- a/net-dns/ndu/ndu-0.4-r4.ebuild
+++ b/net-dns/ndu/ndu-0.4-r4.ebuild
@@ -1,54 +1,54 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=0
+EAPI=7
 
-inherit eutils toolchain-funcs
+inherit toolchain-funcs
 
 DESCRIPTION="DNS serial number incrementer and reverse zone builder"
 SRC_URI="http://uranus.it.swin.edu.au/~jn/linux/${P}.tar.gz"
 HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage"
+
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 ppc x86"
 IUSE=""
-DEPEND="sys-apps/sed"
+
 RDEPEND="sys-apps/ed" # dnstouch calls ed to do the dirty work
 
-src_unpack() {
-	unpack ${A}
+src_prepare() {
+	default
+	eapply "${FILESDIR}"/${P}-binary-locations.patch
 
-	epatch "${FILESDIR}"/${P}-binary-locations.patch
+	# match our bind config
+	sed -e 's|0.0.127.in-addr.arpa|127.in-addr.arpa|g' -i ndu.conf || die
+	# document the support for the chrooted BIND setup
+	cat >> ndu.conf <<-EOF || die
+		// if you use a chrooted setup, then you need to uncomment these lines:
+		//process "/chroot/dns/named.conf"
+		//chroot "/chroot/dns"
+	EOF
 
-	cd "${S}"/src
+	cd src || die
 	# use the correct compiler
-	sed -e 's|gcc|$(CXX)|g' -i Makefile
+	sed -e 's|gcc|$(CXX)|g' -i Makefile || die
 	# set correct config pathes
-	sed -e 's|#define CONFIG_PATH "/etc/"|#define CONFIG_PATH "/etc/bind/"|g' -i ndu.cpp
-	sed -e 's|"/etc/ndu.conf"|"/etc/bind/ndu.conf"|g' -i dnstouch.cpp
+	sed -e 's|#define CONFIG_PATH "/etc/"|#define CONFIG_PATH "/etc/bind/"|g' \
+		-i ndu.cpp || die
+	sed -e 's|"/etc/ndu.conf"|"/etc/bind/ndu.conf"|g' -i dnstouch.cpp || die
 	# hack up something to work around bug #73858
-	sed -e 's|execlp("ed", "ed", filename, 0);|execlp("ed", "ed", "-s", filename, 0);|g' -i dnstouch.cpp
+	sed -e 's|execlp("ed", "ed", filename, 0);|execlp("ed", "ed", "-s", filename, 0);|g' \
+		-i dnstouch.cpp || die
 	# use the correct editor
-	sed -e 's|VISUAL|EDITOR|g' -i dnsedit
-
-	cd "${S}"
-	# match our bind config
-	sed -e 's|0.0.127.in-addr.arpa|127.in-addr.arpa|g' -i ndu.conf
-	# document the support for the chrooted BIND setup
-	echo '// if you use a chrooted setup, then you need to uncomment these lines:' >>ndu.conf
-	echo '//process "/chroot/dns/named.conf"' >>ndu.conf
-	echo '//chroot "/chroot/dns"' >>ndu.conf
+	sed -e 's|VISUAL|EDITOR|g' -i dnsedit || die
 }
 
 src_compile() {
-	cd "${S}"/src
-	emake CFLAGS="${CFLAGS}" CXX="$(tc-getCXX)"
+	emake -C src CFLAGS="${CFLAGS}" CXX="$(tc-getCXX)"
 }
 
 src_install () {
-	into /usr
 	dobin src/{dnsedit,ndu,dnstouch}
-	into /
 	insinto /etc/bind
 	doins ndu.conf
 	dodoc README INSTALL


             reply	other threads:[~2019-11-10 10:35 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-09 13:18 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-08-23  8:17 [gentoo-commits] repo/gentoo:master commit in: net-dns/ndu/ Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1573305509.9ca6c5a9c3cdf807a0aaa54ed736df5db2d01dab.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox